/*
This is part of Screenbar, which is based in part on the Litestep
shell source code.

Copyright (C) 2008-2009 Jim Babcock
Copyright (C) 1997-2009 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include "screenbar.hpp"


HDC ScreenbarWindow::getDrawContextForSize()
{
	return fakeBackBuffer;
}

void ScreenbarWindow::forceRedraw()
{
	InvalidateRect(window, NULL, FALSE);
}

void ScreenbarWindow::repaint(HDC windowDrawContext)
{
	Gdiplus::Bitmap *backBufferImg = new Gdiplus::Bitmap(visibleRect.width, visibleRect.height, PixelFormat32bppPARGB);
	Gdiplus::Graphics *backBuffer = new Gdiplus::Graphics(backBufferImg);
	
	HDC hdc = backBuffer->GetHDC();
		HBRUSH clearBrush = CreateSolidBrush(fillColor.ToCOLORREF());
		RECT fillRect = {0,0,visibleRect.width, visibleRect.height};
		FillRect(hdc, &fillRect, clearBrush);
		
		layout->draw(hdc);
		
		DeleteObject(clearBrush);
	backBuffer->ReleaseHDC(hdc);
	
	Gdiplus::Graphics windowPainter(windowDrawContext);
	windowPainter.SetCompositingMode(Gdiplus::CompositingModeSourceCopy);
	windowPainter.DrawImage(backBufferImg, 0, 0);
	
	delete backBuffer;
	delete backBufferImg;
}
